package com.yunzhupaas.mdm.service;

import com.yunzhupaas.mdm.entity.*;
import com.yunzhupaas.base.service.SuperService;
import com.yunzhupaas.mdm.model.asset.*;
import java.util.*;

/**
 * 资产信息
 * 版本： V5.2.7
 * 版权： Copyright @ 2025  深圳市乐程软件有限公司版权所有
 * 作者： 深圳市乐程软件有限公司
 * 日期： 2026-04-28
 */
public interface AssetService extends SuperService<AssetEntity> {
    List<AssetEntity> getList(AssetPagination assetPagination);

    List<AssetEntity> getTypeList(AssetPagination assetPagination,String dataType);

    AssetEntity getInfo(String assetid);

    void delete(AssetEntity entity);

    void create(AssetEntity entity);

    boolean update(String assetid, AssetEntity entity);

    String checkForm(AssetForm form,int i);

    void saveOrUpdate(AssetForm assetForm,String id, boolean isSave) throws Exception;
}
